## kpackagekit 0.4

=== CMakeLists.txt ===
project(KPackageKit)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules/)

find_package(KDE4 REQUIRED)
find_package(QPackageKit REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE_DEFINITIONS})
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${QPACKAGEKIT_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/libkpackagekit )

add_subdirectory( libkpackagekit)
add_subdirectory( AddRm )
add_subdirectory( Settings )
add_subdirectory( Updater )
add_subdirectory( KPackageKit )
add_subdirectory( SmartIcon )
add_subdirectory( KPackageKitD )
add_subdirectory( Desktop )

=== AddRm/CMakeLists.txt ===
set(kpk_addrm_SRCS
    KcmKpkAddRm.cpp
    KpkAddRm.cpp
    KpkReviewChanges.cpp
    KpkRequirements.cpp
    KpkPackageDetails.cpp
)

kde4_add_ui_files(kpk_addrm_SRCS
    KpkAddRm.ui
    KpkReviewChanges.ui
    KpkRequirements.ui
    KpkPackageDetails.ui
)

kde4_add_plugin(kcm_kpk_addrm ${kpk_addrm_SRCS})
target_link_libraries(kcm_kpk_addrm ${KDE4_KDEUI_LIBS} ${QPACKAGEKIT_LIB}
kpackagekitlib)

install(TARGETS kcm_kpk_addrm  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== KPackageKit/CMakeLists.txt ===
find_package(KDE4Internal REQUIRED)

set(kpackagekit_SRCS
    main.cpp
    KPackageKit.cpp
    KpkInstallFiles.cpp
)

kde4_add_executable(kpackagekit ${kpackagekit_SRCS})

target_link_libraries(kpackagekit ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS} ${QPACKAGEKIT_LIB} kpackagekitlib)

install(TARGETS kpackagekit ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory( Icons )

=== KPackageKitD/CMakeLists.txt ===
set(kded_kpackagekitd_SRCS kpackagekitd.cpp)

kde4_add_plugin(kded_kpackagekitd ${kded_kpackagekitd_SRCS})

target_link_libraries(kded_kpackagekitd ${KDE4_KIO_LIBS} ${QPACKAGEKIT_LIB}
${KDE4_SOLID_LIBS})

install(TARGETS kded_kpackagekitd DESTINATION ${PLUGIN_INSTALL_DIR})

=== Settings/CMakeLists.txt ===
set(kpk_settings_SRCS
    KcmKpkSettings.cpp
    KpkSettings.cpp
    KpkModelOrigin.cpp
)
kde4_add_ui_files(kpk_settings_SRCS
    KpkSettings.ui
)

kde4_add_plugin(kcm_kpk_settings ${kpk_settings_SRCS})
target_link_libraries(kcm_kpk_settings ${KDE4_KDEUI_LIBS} ${QPACKAGEKIT_LIB} kpackagekitlib)

install(TARGETS kcm_kpk_settings  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== SmartIcon/CMakeLists.txt ===
find_package(KDE4Internal REQUIRED)

set(kpackagekit_smart_icon_SRCS
    main.cpp
    KPackageKitSmartIcon.cpp
    KpkTransactionTrayIcon.cpp
    KpkUpdateIcon.cpp
    KpkDistroUpgrade.cpp
    KpkAbstractSmartIcon.cpp
)

kde4_add_executable(kpackagekit-smart-icon ${kpackagekit_smart_icon_SRCS})

target_link_libraries(kpackagekit-smart-icon ${KDE4_KDEUI_LIBS}
${KDE4_KUTILS_LIBS} ${QPACKAGEKIT_LIB} ${KDE4_SOLID_LIBS} kpackagekitlib)

install(TARGETS kpackagekit-smart-icon ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kpackagekit-smart-icon.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kpackagekit-smart-icon)

=== Updater/CMakeLists.txt ===
set(kpk_update_SRCS
    KcmKpkUpdate.cpp
    KpkUpdate.cpp
    KpkUpdateDetails.cpp
    KpkDistroUpgrade.cpp
)
kde4_add_ui_files(kpk_update_SRCS
    KpkUpdate.ui
    KpkUpdateDetails.ui
)

kde4_add_plugin(kcm_kpk_update ${kpk_update_SRCS})
target_link_libraries(kcm_kpk_update ${KDE4_KDEUI_LIBS} ${QPACKAGEKIT_LIB} ${KDE4_SOLID_LIBS} kpackagekitlib)

install(TARGETS kcm_kpk_update DESTINATION ${PLUGIN_INSTALL_DIR} )

=== libkpackagekit/CMakeLists.txt ===
set(libkpk_SRCS
  KpkDelegate.cpp
  KpkTransaction.cpp
  KpkStrings.cpp
  KpkRepoSig.cpp
  KpkLicenseAgreement.cpp
  KpkPackageModel.cpp
  KpkSimplePackageModel.cpp
  KpkIcons.cpp
  KpkTransactionBar.cpp
  KpkProgressBar.cpp
)

kde4_add_ui_files(libkpk_SRCS
  KpkTransaction.ui
  KpkRepoSig.ui
  KpkLicenseAgreement.ui
)

kde4_add_library(kpackagekitlib SHARED ${libkpk_SRCS})
target_link_libraries(kpackagekitlib ${KDE4_KDEUI_LIBS} ${QPACKAGEKIT_LIB})

install(TARGETS kpackagekitlib ${INSTALL_TARGETS_DEFAULT_ARGS})

## kpackagekit 0.4.2

=== CMakeLists.txt ===
project(KPackageKit)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

find_package(KDE4 REQUIRED)

include(FindPkgConfig)
pkg_check_modules (QPACKAGEKIT REQUIRED packagekit-qt>=0.4.7)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE_DEFINITIONS})
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} 
                     ${KDE4_INCLUDES} ${QPACKAGEKIT_INCLUDE_DIRS} ${QPACKAGEKIT_INCLUDEDIR}/PackageKit/packagekit-qt
                     ${CMAKE_CURRENT_SOURCE_DIR}/libkpackagekit )

add_subdirectory( libkpackagekit)
add_subdirectory( AddRm )
add_subdirectory( Settings )
add_subdirectory( Updater )
add_subdirectory( KPackageKit )
add_subdirectory( SmartIcon )
add_subdirectory( KPackageKitD )
add_subdirectory( Desktop )
add_subdirectory( po )

=== KPackageKit/CMakeLists.txt ===
find_package(KDE4Internal REQUIRED)

set(kpackagekit_SRCS
    main.cpp
    KPackageKit.cpp
    KpkInstallFiles.cpp
    KpkInstallMimeType.cpp
    KpkInstallPackageName.cpp
    KpkInstallProvideFile.cpp
    KpkRemovePackageByFile.cpp
    KpkBackendDetails.cpp
    KpkMainUi.cpp
)

kde4_add_ui_files(kpackagekit_SRCS
    KpkBackendDetails.ui
)

kde4_add_executable(kpackagekit
    ${kpackagekit_SRCS}
)

target_link_libraries(kpackagekit
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${QPACKAGEKIT_LIBRARIES}
    kpackagekitlib
)

install(TARGETS kpackagekit ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(Icons)
add_subdirectory(Animations)

=== KPackageKitD/CMakeLists.txt ===
set(kded_kpackagekitd_SRCS kpackagekitd.cpp)

kde4_add_plugin(kded_kpackagekitd ${kded_kpackagekitd_SRCS})

target_link_libraries(kded_kpackagekitd ${KDE4_KIO_LIBS} ${QPACKAGEKIT_LIBRARIES}
${KDE4_SOLID_LIBS})

install(TARGETS kded_kpackagekitd DESTINATION ${PLUGIN_INSTALL_DIR})

=== Settings/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,6 @@
 )
 
 kde4_add_plugin(kcm_kpk_settings ${kpk_settings_SRCS})
-target_link_libraries(kcm_kpk_settings ${KDE4_KDEUI_LIBS} ${QPACKAGEKIT_LIB} kpackagekitlib)
+target_link_libraries(kcm_kpk_settings ${KDE4_KDEUI_LIBS} ${QPACKAGEKIT_LIBRARIES} kpackagekitlib)
 
 install(TARGETS kcm_kpk_settings  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== SmartIcon/CMakeLists.txt ===
find_package(KDE4Internal REQUIRED)

set(kpackagekit_smart_icon_SRCS
    main.cpp
    KPackageKitSmartIcon.cpp
    KpkTransactionTrayIcon.cpp
    KpkUpdateIcon.cpp
    KpkDistroUpgrade.cpp
    KpkInterface.cpp
    KpkTransactionWatcher.cpp
)

qt4_add_dbus_adaptor(kpackagekit_smart_dbus_SRCS
    org.kde.KPackageKitSmartIcon.xml
    KpkInterface.h
    KpkInterface
)

kde4_add_executable(kpackagekitsmarticon
    ${kpackagekit_smart_icon_SRCS}
    ${kpackagekit_smart_dbus_SRCS}
)

target_link_libraries(kpackagekitsmarticon
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${QPACKAGEKIT_LIBRARIES}
    ${KDE4_SOLID_LIBS}
    kpackagekitlib
)

install(TARGETS kpackagekitsmarticon DESTINATION ${LIBEXEC_INSTALL_DIR})

install(FILES KPackageKitSmartIcon.notifyrc DESTINATION ${DATA_INSTALL_DIR}/KPackageKitSmartIcon)

include(PkgConfigGetVar)
dbus_add_activation_service(org.kde.KPackageKitSmartIcon.service.in)

=== libkpackagekit/CMakeLists.txt ===
set(libkpk_SRCS
    KpkDelegate.cpp
    KpkTransaction.cpp
    KpkStrings.cpp
    KpkRepoSig.cpp
    KpkLicenseAgreement.cpp
    KpkPackageModel.cpp
    KpkSimplePackageModel.cpp
    KpkIcons.cpp
    KpkTransactionBar.cpp
    KpkProgressBar.cpp
    KpkReviewChanges.cpp
    KpkRequirements.cpp
    KpkAbstractIsRunning.cpp
)

kde4_add_ui_files(libkpk_SRCS
    KpkTransaction.ui
    KpkRepoSig.ui
    KpkLicenseAgreement.ui
    KpkReviewChanges.ui
    KpkRequirements.ui
)

kde4_add_library(kpackagekitlib SHARED ${libkpk_SRCS})
target_link_libraries(kpackagekitlib ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QPACKAGEKIT_LIBRARIES})

install(TARGETS kpackagekitlib ${INSTALL_TARGETS_DEFAULT_ARGS})

## kpackagekit 0.5.4

=== CMakeLists.txt ===
project(KPackageKit)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

find_package(KDE4 REQUIRED)
find_package(Gettext)

include(FindPkgConfig)
pkg_check_modules(QPACKAGEKIT REQUIRED packagekit-qt>=0.5.5)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS}
    ${KDE_DEFINITIONS})

include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    ${QPACKAGEKIT_INCLUDE_DIRS}
    ${QPACKAGEKIT_INCLUDEDIR}/PackageKit/packagekit-qt
    ${CMAKE_CURRENT_SOURCE_DIR}/libkpackagekit)

add_subdirectory(libkpackagekit)
add_subdirectory(AddRm)
add_subdirectory(Settings)
add_subdirectory(Updater)
add_subdirectory(KPackageKit)
add_subdirectory(SmartIcon)
add_subdirectory(KPackageKitD)
add_subdirectory(Desktop)
add_subdirectory(po)

=== AddRm/CMakeLists.txt ===
set(kpk_addrm_SRCS
    KcmKpkAddRm.cpp
    KpkAddRm.cpp
    KpkPackageDetails.cpp
)

kde4_add_ui_files(kpk_addrm_SRCS
    KpkAddRm.ui
    KpkPackageDetails.ui
)

kde4_add_plugin(kcm_kpk_addrm ${kpk_addrm_SRCS})
target_link_libraries(kcm_kpk_addrm
    ${KDE4_KDEUI_LIBS}
    ${QPACKAGEKIT_LIBRARIES}
    kpackagekitlib
)

install(TARGETS kcm_kpk_addrm  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== Desktop/CMakeLists.txt ===

install( FILES settings-add-and-remove-software.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kpk_addrm.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kpk_settings.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kpk_update.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kpackagekit.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kpackagekitd.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded )

=== KPackageKit/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,6 @@
 set(kpackagekit_SRCS
     main.cpp
     KPackageKit.cpp
-    KpkInstallFiles.cpp
-    KpkInstallMimeType.cpp
-    KpkInstallPackageName.cpp
-    KpkInstallProvideFile.cpp
-    KpkRemovePackageByFile.cpp
     KpkBackendDetails.cpp
     KpkMainUi.cpp
 )
@@ -22,7 +17,6 @@
 
 target_link_libraries(kpackagekit
     ${KDE4_KDEUI_LIBS}
-    ${KDE4_KIO_LIBS}
     ${KDE4_KUTILS_LIBS}
     ${QPACKAGEKIT_LIBRARIES}
     kpackagekitlib

=== KPackageKitD/CMakeLists.txt ===
set(kded_kpackagekitd_SRCS
    kpackagekitd.cpp)

kde4_add_plugin(kded_kpackagekitd ${kded_kpackagekitd_SRCS})

target_link_libraries(kded_kpackagekitd
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBS}
)

install(TARGETS kded_kpackagekitd DESTINATION ${PLUGIN_INSTALL_DIR})

=== Settings/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,9 @@
 )
 
 kde4_add_plugin(kcm_kpk_settings ${kpk_settings_SRCS})
-target_link_libraries(kcm_kpk_settings ${KDE4_KDEUI_LIBS} ${QPACKAGEKIT_LIBRARIES} kpackagekitlib)
+target_link_libraries(kcm_kpk_settings
+    ${KDE4_KDEUI_LIBS}
+    ${QPACKAGEKIT_LIBRARIES}
+    kpackagekitlib)
 
 install(TARGETS kcm_kpk_settings  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== SmartIcon/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,30 @@
     KpkDistroUpgrade.cpp
     KpkInterface.cpp
     KpkTransactionWatcher.cpp
+    PkInterface.cpp
+    KpkAbstractTask.cpp
+    PkInstallPackageNames.cpp
+    PkSearchFile.cpp
+    PkIsInstalled.cpp
+    PkInstallMimeTypes.cpp
+    PkInstallGStreamerResources.cpp
+    PkInstallFontconfigResources.cpp
+    PkInstallPackageFiles.cpp
+    PkInstallProvideFiles.cpp
+    PkInstallCatalogs.cpp
+    PkRemovePackageByFiles.cpp
 )
 
 qt4_add_dbus_adaptor(kpackagekit_smart_dbus_SRCS
     org.kde.KPackageKitSmartIcon.xml
     KpkInterface.h
     KpkInterface
+)
+
+qt4_add_dbus_adaptor(kpackagekit_smart_dbus_SRCS
+    org.freedesktop.PackageKit.xml
+    PkInterface.h
+    PkInterface
 )
 
 kde4_add_executable(kpackagekitsmarticon
@@ -23,9 +41,9 @@
 
 target_link_libraries(kpackagekitsmarticon
     ${KDE4_KDEUI_LIBS}
-    ${KDE4_KUTILS_LIBS}
+    ${KDE4_KIO_LIBS}
+    ${KDE4_SOLID_LIBS}
     ${QPACKAGEKIT_LIBRARIES}
-    ${KDE4_SOLID_LIBS}
     kpackagekitlib
 )
 
@@ -35,3 +53,4 @@
 
 include(PkgConfigGetVar)
 dbus_add_activation_service(org.kde.KPackageKitSmartIcon.service.in)
+dbus_add_activation_service(org.freedesktop.PackageKit.service.in)

=== Updater/CMakeLists.txt ===
set(kpk_update_SRCS
    KcmKpkUpdate.cpp
    KpkUpdate.cpp
    KpkUpdateDetails.cpp
    KpkDistroUpgrade.cpp
    KpkSimpleTransactionModel.cpp
    KpkHistory.cpp
    KpkTransactionFilterModel.cpp
)
kde4_add_ui_files(kpk_update_SRCS
    KpkUpdate.ui
    KpkUpdateDetails.ui
    KpkHistory.ui
)

kde4_add_plugin(kcm_kpk_update ${kpk_update_SRCS})
target_link_libraries(kcm_kpk_update
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBS}
    ${QPACKAGEKIT_LIBRARIES}
    kpackagekitlib
)

install(TARGETS kcm_kpk_update DESTINATION ${PLUGIN_INSTALL_DIR} )

=== libkpackagekit/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
     KpkReviewChanges.cpp
     KpkRequirements.cpp
     KpkAbstractIsRunning.cpp
+    KpkImportance.cpp
+    KpkSimulateModel.cpp
 )
 
 kde4_add_ui_files(libkpk_SRCS
@@ -23,6 +25,9 @@
 )
 
 kde4_add_library(kpackagekitlib SHARED ${libkpk_SRCS})
-target_link_libraries(kpackagekitlib ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QPACKAGEKIT_LIBRARIES})
+target_link_libraries(kpackagekitlib
+    ${KDE4_KDEUI_LIBS}
+    ${KDE4_KIO_LIBS}
+    ${QPACKAGEKIT_LIBRARIES})
 
 install(TARGETS kpackagekitlib ${INSTALL_TARGETS_DEFAULT_ARGS})

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( lt )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== KPackageKit/Icons/CMakeLists.txt ===
kde4_install_icons( ${DATA_INSTALL_DIR}/kpackagekit/icons )

## kpackagekit 0.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,55 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)
 
 find_package(KDE4 REQUIRED)
-find_package(Gettext)
+include (MacroLibrary)
+
+# Only for Debian based systems
+option(DEBCONF_SUPPORT "Build KPackageKit with debconf support" OFF)
+
+# Yum does not support this
+option(AUTOREMOVE "Build KPackageKit with auto remove enabled" ON)
+set(HAVE_AUTOREMOVE ${AUTOREMOVE})
+message(STATUS "Building KPackageKit with auto remove: " ${AUTOREMOVE})
+
+# App Install, only Debian based support this for now
+option(APPINSTALL "Build KPackageKit with app install" OFF)
+set(HAVE_APPINSTALL ${APPINSTALL})
+message(STATUS "Building KPackageKit with app install: " ${APPINSTALL})
+
+if (HAVE_APPINSTALL)
+    # path to the sqlite app-install db
+    set(AI_DB_PATH "${CMAKE_INSTALL_PREFIX}/share/app-install/desktop.db"
+        CACHE STRING "App Install database path")
+    message(STATUS "App Install database path: " ${AI_DB_PATH})
+
+    # path to the categories.xml menus
+    set(AI_CATEGORIES_PATH "${CMAKE_INSTALL_PREFIX}/share/app-install"
+        CACHE STRING "App Install categories path")
+    message(STATUS "App Install categories path: " ${AI_CATEGORIES_PATH})
+    install(FILES categories.xml DESTINATION ${AI_CATEGORIES_PATH})
+endif (HAVE_APPINSTALL)
+
+if (DEBCONF_SUPPORT)
+    # Tries to find the package, when it finds it HAVE_DEBCONFKDE is set in config.h
+    find_package(DebconfKDE REQUIRED)
+    macro_bool_to_01(DebconfKDE_FOUND HAVE_DEBCONFKDE)
+    macro_log_feature(DebconfKDE_FOUND "DebconfKDE" "The KDE frontend for debconf" "http://websvn.kde.org" FALSE "" "Library used for showing debconf questions.")
+    message(STATUS "Building with Debconf support")
+endif (DEBCONF_SUPPORT)
+
+
+# command to edit the packages origins
+set(EDIT_ORIGNS_DESKTOP_NAME "" CACHE STRING "Edit origins desktop name")
+if (EDIT_ORIGNS_DESKTOP_NAME)
+    message(STATUS "Edit origins desktop name: " ${EDIT_ORIGNS_DESKTOP_NAME})
+endif (EDIT_ORIGNS_DESKTOP_NAME)
+
+# Generate config.h
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
+               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 include(FindPkgConfig)
-pkg_check_modules(QPACKAGEKIT REQUIRED packagekit-qt>=0.5.5)
+pkg_check_modules(QPACKAGEKIT REQUIRED packagekit-qt>=0.6.8)
 include(KDE4Defaults)
 
 add_definitions(${QT_DEFINITIONS}
@@ -28,4 +73,3 @@
 add_subdirectory(SmartIcon)
 add_subdirectory(KPackageKitD)
 add_subdirectory(Desktop)
-add_subdirectory(po)

=== AddRm/CMakeLists.txt ===
set(kpk_addrm_SRCS
    KpkFiltersMenu.cpp
    ClickableLabel.cpp
    ScreenShotViewer.cpp
    KpkPackageDetails.cpp
    GraphicsOpacityDropShadowEffect.cpp
    CategoryModel.cpp
    BrowseView.cpp
    TransactionModel.cpp
    TransactionFilterModel.cpp
    TransactionHistory.cpp
    AddRmKCM.cpp
)

kde4_add_ui_files(kpk_addrm_SRCS
    KpkPackageDetails.ui
    BrowseView.ui
    TransactionHistory.ui
    AddRmKCM.ui
)

kde4_add_plugin(kcm_kpk_addrm ${kpk_addrm_SRCS})
target_link_libraries(kcm_kpk_addrm
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QPACKAGEKIT_LIBRARIES}
    kpackagekitlib
)

install(TARGETS kcm_kpk_addrm  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== Desktop/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-install( FILES settings-add-and-remove-software.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
+install( FILES settings-manage-software.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
 install( FILES kpk_addrm.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
 install( FILES kpk_settings.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
 install( FILES kpk_update.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== Settings/CMakeLists.txt ===
set(kpk_settings_SRCS
    KpkModelOrigin.cpp
    SettingsKCM.cpp
)
kde4_add_ui_files(kpk_settings_SRCS
    SettingsKCM.ui
)

kde4_add_plugin(kcm_kpk_settings ${kpk_settings_SRCS})
target_link_libraries(kcm_kpk_settings
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QPACKAGEKIT_LIBRARIES}
    kpackagekitlib)

install(TARGETS kcm_kpk_settings  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== SmartIcon/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,7 @@
 find_package(KDE4Internal REQUIRED)
 
 set(kpackagekit_smart_icon_SRCS
-    main.cpp
-    KPackageKitSmartIcon.cpp
+    TransactionTrayIcon.cpp
     KpkTransactionTrayIcon.cpp
     KpkUpdateIcon.cpp
     KpkDistroUpgrade.cpp
@@ -20,6 +19,8 @@
     PkInstallProvideFiles.cpp
     PkInstallCatalogs.cpp
     PkRemovePackageByFiles.cpp
+    KPackageKitSmartIcon.cpp
+    main.cpp
 )
 
 qt4_add_dbus_adaptor(kpackagekit_smart_dbus_SRCS
@@ -44,6 +45,7 @@
     ${KDE4_KIO_LIBS}
     ${KDE4_SOLID_LIBS}
     ${QPACKAGEKIT_LIBRARIES}
+    ${DEBCONF_KDE_LIB}
     kpackagekitlib
 )

=== libkpackagekit/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,30 @@
 set(libkpk_SRCS
+    AppInstall.cpp
+    KpkIcons.cpp
+    KpkStrings.cpp
+    ApplicationLauncher.cpp
+    ApplicationsDelegate.cpp
+    CategoryDrawer.cpp
     KpkDelegate.cpp
+    TransactionDelegate.cpp
+    ProgressView.cpp
     KpkTransaction.cpp
-    KpkStrings.cpp
     KpkRepoSig.cpp
     KpkLicenseAgreement.cpp
     KpkPackageModel.cpp
     KpkSimplePackageModel.cpp
-    KpkIcons.cpp
-    KpkTransactionBar.cpp
     KpkProgressBar.cpp
     KpkReviewChanges.cpp
     KpkRequirements.cpp
     KpkAbstractIsRunning.cpp
     KpkImportance.cpp
     KpkSimulateModel.cpp
+    KpkSearchableTreeView.cpp
+    KpkCategorizedView.cpp
 )
 
 kde4_add_ui_files(libkpk_SRCS
+    ApplicationLauncher.ui
     KpkTransaction.ui
     KpkRepoSig.ui
     KpkLicenseAgreement.ui

=== debian/changelog ===
kpackagekit (0.6.2-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add kubuntu_08_updates_info.diff from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Oct 2010 01:14:13 +0100

kpackagekit (0.6.1+svn1181837-0ubuntu1) maverick; urgency=low

  * New upstream snapshot, fixes broken systray icon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 02 Oct 2010 13:38:41 +0100

kpackagekit (0.6.1+svn1176533-0ubuntu2) maverick; urgency=low

  * Remove kubuntu_02_no_edit_triggers.diff fixed by upstream
    Something was wrong when the patch was refreshed, it causes the opposite
    behaviour.

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 24 Sep 2010 19:15:35 +0200

kpackagekit (0.6.1+svn1176533-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Add -DAPPINSTALL=true -DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
  * Refresh kubuntu_02_no_edit_triggers.diff
  * Disable kubuntu_01_edit_sources.patch, applied upstream through EDIT_ORIGNS_DESKTOP_NAME
  * Disable kubuntu_05_hide_rollback_button.diff, feature no longer exists
  * Recommends: app-install-data (adds 8MB to CD size)
  * Install debian/desktop.db in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Sep 2010 23:30:09 +0100

kpackagekit (0.6.1-0ubuntu2) maverick; urgency=low

  * Add kubuntu_02_no_edit_triggers.diff, don't rename labels in "Groups" if
    double click is enabled

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 06 Sep 2010 17:41:26 +0200

kpackagekit (0.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump Standards-Version to 3.9.1
    - Bump pkg-kde-tools to 0.9.2
    - Bump libpackagekit-qt-dev to 0.6.7
    - Remove kubuntu_07_delete_debconf_objects.diff fixed by upstream
    - Remove debian-changes-0.6.0+svn1167871-0ubuntu1

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 05:22:06 +0200

kpackagekit (0.6.0+svn1167871-0ubuntu3) maverick; urgency=low

  * Add kubuntu_07_delete_debconf_objects.diff from upstream svn, delete
    debconf objects so /tmp does not fill up with them

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 23:41:31 +0100

kpackagekit (0.6.0+svn1167871-0ubuntu2) maverick; urgency=low

  * Add build-dep on libdebconf-kde-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 20:31:38 +0100

kpackagekit (0.6.0+svn1167871-0ubuntu1) maverick; urgency=low

  * New upstream snapshot LP: #624173
  * kubuntu_01_edit_sources.patch recoded
  * Remove kubuntu_04_tray_icon.patch no longer needed
  * Add fetch_translations rule

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 16:09:45 +0100

kpackagekit (0.6.0+svn1163215-0ubuntu1) maverick; urgency=low

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Aug 2010 15:07:27 +0100

kpackagekit (0.6.0-0ubuntu3) maverick; urgency=low

  * debian/control: remove duplicate dependency on cmake LP: #607373
  * lintian:
    - postinst-must-call-ldconfig
    - copyright-refers-to-versionless-license-file 

 -- Cosme Domínguez Díaz <cosme.ddiaz@gmail.com>  Mon, 19 Jul 2010 17:29:36 +0000

kpackagekit (0.6.0-0ubuntu2) maverick; urgency=low

  * Add kubuntu_07_fix_systemsettings_category.diff changing the parent
    category in systemsettings to a value available in 4.5. This gets kpk
    out of Lost'n'Found and into a coherent category if its own again.
    LP: #606576

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 17 Jul 2010 08:16:52 +0200

kpackagekit (0.6.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jun 2010 11:32:37 +0100

kpackagekit (0.5.4-0ubuntu5) maverick; urgency=low

  * Add an explicit depend on cmake now that kdelibs5-dev doesn't depend on it
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16
  * Bump pkg-kde-tools build-depend version to 0.5.0 for use of the kde dh
    sequence
  * Bump required version of packagekit to 0.5.0 since KPackageKit will only
    build/run with 0.5.x.
  * Remove now-redundant use of the quilt dh sequence from debian/rules

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 19:11:44 -0400

kpackagekit (0.5.4-0ubuntu4) lucid; urgency=low

  * Add kubuntu_05_hide_rollback_button.diff since the Rollback feature is
    not implemented in any backend (Or even in KPackageKit) (LP: #527606)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Mar 2010 20:05:15 -0400

kpackagekit (0.5.4-0ubuntu3) lucid; urgency=low

  * Add depends on update-manager-kde, needed for distro upgrade

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Mar 2010 18:47:26 +0000

kpackagekit (0.5.4-0ubuntu2) lucid; urgency=low

  * Add quilt build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Jan 2010 11:17:45 +0000

kpackagekit (0.5.4-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Jan 2010 19:13:32 +0000

kpackagekit (0.4.2-0ubuntu3) karmic; urgency=low

  * Add back kubuntu_04_translations_catalogue.diff to load correct
    catalogue for translations.  Closes LP: #455342

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Oct 2009 11:35:02 +0100

kpackagekit (0.4.2-0ubuntu2) karmic; urgency=low

  * Replace policykit-kde dep with kdebase-workspace-bin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 23:33:45 +0100

kpackagekit (0.4.2-0ubuntu1) karmic; urgency=low

  [ Jonathan Thomas ]
  * New upstream release (LP: #416077):
    - Add kubuntu_03_fix_ftbfs.patch to make CMake look for gettext
  * Bump Standards-Version to 3.8.3
  * Remove unecessary build-depend on cmake, kdelibs5-dev brings it in

  [ Jonathan Riddell ]
  * Add kubuntu_04_tray_icon.patch to simplify notification and show
    tray icon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 13:36:09 +0100

kpackagekit (0.4.1.1-0ubuntu2) karmic; urgency=low



=== debian/control ===
Source: kpackagekit
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastian Heinlein <glatzor@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9.2), libpackagekit-qt-dev (>= 0.6.7), cmake, kdelibs5-dev, libdbus-1-dev, libdebconf-kde-dev
Standards-Version: 3.9.1
Homepage: http://www.packagekit.org

Package: kpackagekit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, software-properties-kde, packagekit (>= 0.5.0), update-manager-kde
Recommends: app-install-data
Provides: packagekit-kde
Description: KDE package management tool using PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a package manager and a update notifier.

=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT=playground-sysadmin

%:
	dh --with kde $@

override_dh_auto_configure:
	dh_auto_configure -- -DDEBCONF_SUPPORT=true -DAPPINSTALL=true -DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde

override_dh_install:
	mkdir -p kpackagekit/usr/share/app-install/
	cp debian/desktop.db debian/kpackagekit/usr/share/app-install/
	dh_install

fetch_translations:
	mkdir -p po
	cd po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
	cd po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/playground-sysadmin/kpackagekit.po; cd ..; done
	cd po; rm subdirs; rmdir --ignore-fail-on-non-empty *

## kpackagekit 0.6.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,9 @@
                ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 include(FindPkgConfig)
-pkg_check_modules(QPACKAGEKIT REQUIRED packagekit-qt>=0.6.8)
+set(QPACKAGEKIT_MIN_VERSION 0.6.11)
+pkg_check_modules(QPACKAGEKIT REQUIRED packagekit-qt>=${QPACKAGEKIT_MIN_VERSION})
+macro_log_feature(QPACKAGEKIT_FOUND "packagekit-qt" "The Qt library to use PackageKit" "http://www.packagekit.org" TRUE ${QPACKAGEKIT_MIN_VERSION} "")
 include(KDE4Defaults)
 
 add_definitions(${QT_DEFINITIONS}
@@ -73,3 +75,6 @@
 add_subdirectory(SmartIcon)
 add_subdirectory(KPackageKitD)
 add_subdirectory(Desktop)
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )

=== AddRm/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
     KpkFiltersMenu.cpp
     ClickableLabel.cpp
     ScreenShotViewer.cpp
-    KpkPackageDetails.cpp
+    PackageDetails.cpp
     GraphicsOpacityDropShadowEffect.cpp
     CategoryModel.cpp
     BrowseView.cpp
@@ -13,7 +13,7 @@
 )
 
 kde4_add_ui_files(kpk_addrm_SRCS
-    KpkPackageDetails.ui
+    PackageDetails.ui
     BrowseView.ui
     TransactionHistory.ui
     AddRmKCM.ui

=== KPackageKit/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 find_package(KDE4Internal REQUIRED)
 
 set(kpackagekit_SRCS
+    KpkMainUi.cpp
+    KpkBackendDetails.cpp
+    KPackageKit.cpp
     main.cpp
-    KPackageKit.cpp
-    KpkBackendDetails.cpp
-    KpkMainUi.cpp
 )
 
 kde4_add_ui_files(kpackagekit_SRCS

=== SmartIcon/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
     PkInstallProvideFiles.cpp
     PkInstallCatalogs.cpp
     PkRemovePackageByFiles.cpp
+    PkInstallPrinterDrivers.cpp
     KPackageKitSmartIcon.cpp
     main.cpp
 )
@@ -56,3 +57,4 @@
 include(PkgConfigGetVar)
 dbus_add_activation_service(org.kde.KPackageKitSmartIcon.service.in)
 dbus_add_activation_service(org.freedesktop.PackageKit.service.in)
+

=== Updater/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,12 @@
 set(kpk_update_SRCS
-    KcmKpkUpdate.cpp
-    KpkUpdate.cpp
     KpkUpdateDetails.cpp
     KpkDistroUpgrade.cpp
-    KpkSimpleTransactionModel.cpp
-    KpkHistory.cpp
-    KpkTransactionFilterModel.cpp
+    KpkCheckableHeader.cpp
+    UpdateKCM.cpp
 )
 kde4_add_ui_files(kpk_update_SRCS
-    KpkUpdate.ui
     KpkUpdateDetails.ui
-    KpkHistory.ui
+    UpdateKCM.ui
 )
 
 kde4_add_plugin(kcm_kpk_update ${kpk_update_SRCS})

=== libkpackagekit/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,6 @@
     KpkAbstractIsRunning.cpp
     KpkImportance.cpp
     KpkSimulateModel.cpp
-    KpkSearchableTreeView.cpp
     KpkCategorizedView.cpp
 )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ja)
add_subdirectory(gl)
add_subdirectory(da)
add_subdirectory(ca)
add_subdirectory(pt)
add_subdirectory(fr)
add_subdirectory(uk)
add_subdirectory(pa)
add_subdirectory(nn)
add_subdirectory(ga)
add_subdirectory(ast)
add_subdirectory(ro)
add_subdirectory(it)
add_subdirectory(ru)
add_subdirectory(es)
add_subdirectory(sk)
add_subdirectory(zh_CN)
add_subdirectory(nb)
add_subdirectory(sl)
add_subdirectory(fi)
add_subdirectory(nds)
add_subdirectory(sv)
add_subdirectory(eo)
add_subdirectory(el)
add_subdirectory(lt)
add_subdirectory(et)
add_subdirectory(nl)
add_subdirectory(hu)
add_subdirectory(pt_BR)
add_subdirectory(pl)
add_subdirectory(tr)
add_subdirectory(cs)
add_subdirectory(bg)
add_subdirectory(en_GB)
add_subdirectory(zh_TW)
add_subdirectory(ca@valencia)
add_subdirectory(de)

=== debian/changelog ===
kpackagekit (0.6.3.3-0ubuntu2) natty; urgency=low

  * Add kubuntu_08_ktoolinvocation.diff to make applications launched from the
    update icon properly themed. (LP: #707916)
  * Enable parallel building.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 10 Mar 2011 11:20:09 +0100

kpackagekit (0.6.3.3-0ubuntu1) natty; urgency=low

  * New upstream release
    - Refresh kubuntu_06_no_automatic_updates.diff
    - Drop kubuntu_08_updates_info.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Jan 2011 17:20:02 +0530

kpackagekit (0.6.2-0ubuntu3) natty; urgency=low

  * Change build-dep from libpackagekit-qt-14 to its newly renamed version
    libpackagekit-qt14 (LP: #689109)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 12 Dec 2010 01:10:29 +0100

kpackagekit (0.6.2-0ubuntu2) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 06:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sebastian Heinlein <glatzor@ubuntu.com>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9.2), libpackagekit-qt-dev (>= 0.6.7), cmake, kdelibs5-dev, libdbus-1-dev, libdebconf-kde-dev
+Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9.2),
+ libpackagekit-qt-dev (>= 0.6.7), cmake, kdelibs5-dev (>= 4:4.5.2a-0ubuntu2),
+ libdbus-1-dev, libdebconf-kde-dev
 Standards-Version: 3.9.1
 Homepage: http://www.packagekit.org
 
 Package: kpackagekit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, software-properties-kde, packagekit (>= 0.5.0), update-manager-kde
+Depends: ${shlibs:Depends}, ${misc:Depends}, software-properties-kde,
+ packagekit (>= 0.5.0), update-manager-kde
 Recommends: app-install-data
 Provides: packagekit-kde
 Description: KDE package management tool using PackageKit

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 export KUBUNTU_DESKTOP_POT=playground-sysadmin
 
 %:
-	dh --with kde $@
+	dh $@ --parallel --with kde
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DDEBCONF_SUPPORT=true -DAPPINSTALL=true -DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
+	dh_auto_configure -Skde -- -DDEBCONF_SUPPORT=true -DAPPINSTALL=true -DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
 
 override_dh_install:
 	mkdir -p kpackagekit/usr/share/app-install/
